Index: Makefile
===================================================================
--- Makefile	(revision 23445b601770e612be584294ad066ad45952542f)
+++ Makefile	(revision 7fa5c192c40cedb4111f0cfd3aaad9126861588b)
@@ -96,5 +96,5 @@
 	mkdir -p $(DESTDIR)$(INCLUDEDIR)
 	install -m 0644 config.h $(DESTDIR)$(INCLUDEDIR)
-	for i in $(headers); do install -m 0644 $(SRCDIR)$$i $(DESTDIR)$(INCLUDEDIR); done
+	for i in $(headers); do install -m 0644 $(_SRCDIR_)$$i $(DESTDIR)$(INCLUDEDIR); done
 	mkdir -p $(DESTDIR)$(PCDIR)
 	install -m 0644 bitlbee.pc $(DESTDIR)$(PCDIR)
@@ -107,6 +107,6 @@
 install-etc:
 	mkdir -p $(DESTDIR)$(ETCDIR)
-	install -m 0644 $(SRCDIR)motd.txt $(DESTDIR)$(ETCDIR)/motd.txt
-	install -m 0644 $(SRCDIR)bitlbee.conf $(DESTDIR)$(ETCDIR)/bitlbee.conf
+	install -m 0644 $(_SRCDIR_)motd.txt $(DESTDIR)$(ETCDIR)/motd.txt
+	install -m 0644 $(_SRCDIR_)bitlbee.conf $(DESTDIR)$(ETCDIR)/bitlbee.conf
 
 uninstall-etc:
@@ -128,7 +128,7 @@
 	install -m 0755 skype.so $(DESTDIR)$(PLUGINDIR)
 	mkdir -p $(DESTDIR)$(ETCDIR)/../skyped $(DESTDIR)$(BINDIR)
-	install -m 0644 $(SRCDIR)protocols/skype/skyped.cnf $(DESTDIR)$(ETCDIR)/../skyped/skyped.cnf
-	install -m 0644 $(SRCDIR)protocols/skype/skyped.conf.dist $(DESTDIR)$(ETCDIR)/../skyped/skyped.conf
-	install -m 0755 $(SRCDIR)protocols/skype/skyped.py $(DESTDIR)$(BINDIR)/skyped
+	install -m 0644 $(_SRCDIR_)protocols/skype/skyped.cnf $(DESTDIR)$(ETCDIR)/../skyped/skyped.cnf
+	install -m 0644 $(_SRCDIR_)protocols/skype/skyped.conf.dist $(DESTDIR)$(ETCDIR)/../skyped/skyped.conf
+	install -m 0755 $(_SRCDIR_)protocols/skype/skyped.py $(DESTDIR)$(BINDIR)/skyped
 	make -C protocols/skype install-doc
 endif
@@ -161,13 +161,13 @@
 	@$(MAKE) -C $@ $(MAKECMDGOALS)
 
-$(OTR_PI): %.so: $(SRCDIR)%.c
+$(OTR_PI): %.so: $(_SRCDIR_)%.c
 	@echo '*' Building plugin $@
 	@$(CC) $(CFLAGS) -fPIC -shared $(LDFLAGS) $< -o $@ $(OTRFLAGS)
 
-$(SKYPE_PI): $(SRCDIR)protocols/skype/skype.c
+$(SKYPE_PI): $(_SRCDIR_)protocols/skype/skype.c
 	@echo '*' Building plugin skype
 	@$(CC) $(CFLAGS) -fPIC -shared $< -o $@
 
-$(objects): %.o: $(SRCDIR)%.c
+$(objects): %.o: $(_SRCDIR_)%.c
 	@echo '*' Compiling $<
 	@$(CC) -c $(CFLAGS) $< -o $@
Index: configure
===================================================================
--- configure	(revision 23445b601770e612be584294ad066ad45952542f)
+++ configure	(revision 7fa5c192c40cedb4111f0cfd3aaad9126861588b)
@@ -156,5 +156,5 @@
 	fi
 	
-	echo "SRCDIR=$srcdir/" >> Makefile.settings
+	echo "_SRCDIR_=$srcdir/" >> Makefile.settings
 	CFLAGS="$CFLAGS -I${dst}"
 else
Index: doc/Makefile
===================================================================
--- doc/Makefile	(revision 23445b601770e612be584294ad066ad45952542f)
+++ doc/Makefile	(revision 7fa5c192c40cedb4111f0cfd3aaad9126861588b)
@@ -1,5 +1,5 @@
 -include ../Makefile.settings
-ifdef SRCDIR
-SRCDIR := $(SRCDIR)doc/
+ifdef _SRCDIR_
+_SRCDIR_ := $(_SRCDIR_)doc/
 endif
 
@@ -10,6 +10,6 @@
 install:
 	mkdir -p $(DESTDIR)$(MANDIR)/man8/ $(DESTDIR)$(MANDIR)/man5/
-	install -m 0644 $(SRCDIR)bitlbee.8 $(DESTDIR)$(MANDIR)/man8/
-	install -m 0644 $(SRCDIR)bitlbee.conf.5 $(DESTDIR)$(MANDIR)/man5/
+	install -m 0644 $(_SRCDIR_)bitlbee.8 $(DESTDIR)$(MANDIR)/man8/
+	install -m 0644 $(_SRCDIR_)bitlbee.conf.5 $(DESTDIR)$(MANDIR)/man5/
 	$(MAKE) -C user-guide $@
 
Index: doc/user-guide/Makefile
===================================================================
--- doc/user-guide/Makefile	(revision 23445b601770e612be584294ad066ad45952542f)
+++ doc/user-guide/Makefile	(revision 7fa5c192c40cedb4111f0cfd3aaad9126861588b)
@@ -1,5 +1,5 @@
 -include ../../Makefile.settings
-ifdef SRCDIR
-SRCDIR := $(SRCDIR)doc/user-guide/
+ifdef _SRCDIR_
+_SRCDIR_ := $(_SRCDIR_)doc/user-guide/
 endif
 
@@ -42,5 +42,5 @@
 	chmod 0755 $(DESTDIR)$(DATADIR)
 	rm -f $(DESTDIR)$(DATADIR)/help.txt # Prevent help function from breaking in running sessions
-	install -m 0644 $(SRCDIR)help.txt $(DESTDIR)$(DATADIR)/help.txt
+	install -m 0644 $(_SRCDIR_)help.txt $(DESTDIR)$(DATADIR)/help.txt
 
 uninstall:
Index: lib/Makefile
===================================================================
--- lib/Makefile	(revision 23445b601770e612be584294ad066ad45952542f)
+++ lib/Makefile	(revision 7fa5c192c40cedb4111f0cfd3aaad9126861588b)
@@ -8,6 +8,6 @@
 
 -include ../Makefile.settings
-ifdef SRCDIR
-SRCDIR := $(SRCDIR)lib/
+ifdef _SRCDIR_
+_SRCDIR_ := $(_SRCDIR_)lib/
 endif
 
@@ -40,5 +40,5 @@
 $(objects): ../Makefile.settings Makefile
 
-$(objects): %.o: $(SRCDIR)%.c
+$(objects): %.o: $(_SRCDIR_)%.c
 	@echo '*' Compiling $<
 	@$(CC) -c $(CFLAGS) $< -o $@
Index: protocols/Makefile
===================================================================
--- protocols/Makefile	(revision 23445b601770e612be584294ad066ad45952542f)
+++ protocols/Makefile	(revision 7fa5c192c40cedb4111f0cfd3aaad9126861588b)
@@ -8,6 +8,6 @@
 
 -include ../Makefile.settings
-ifdef SRCDIR
-SRCDIR := $(SRCDIR)protocols/
+ifdef _SRCDIR_
+_SRCDIR_ := $(_SRCDIR_)protocols/
 endif
 
@@ -53,5 +53,5 @@
 $(objects): ../Makefile.settings Makefile
 
-$(objects): %.o: $(SRCDIR)%.c
+$(objects): %.o: $(_SRCDIR_)%.c
 	@echo '*' Compiling $<
 	@$(CC) -c $(CFLAGS) $< -o $@
Index: protocols/jabber/Makefile
===================================================================
--- protocols/jabber/Makefile	(revision 23445b601770e612be584294ad066ad45952542f)
+++ protocols/jabber/Makefile	(revision 7fa5c192c40cedb4111f0cfd3aaad9126861588b)
@@ -8,6 +8,6 @@
 
 -include ../../Makefile.settings
-ifdef SRCDIR
-SRCDIR := $(SRCDIR)protocols/jabber/
+ifdef _SRCDIR_
+_SRCDIR_ := $(_SRCDIR_)protocols/jabber/
 endif
 
@@ -36,5 +36,5 @@
 $(objects): ../../Makefile.settings Makefile
 
-$(objects): %.o: $(SRCDIR)%.c
+$(objects): %.o: $(_SRCDIR_)%.c
 	@echo '*' Compiling $<
 	@$(CC) -c $(CFLAGS) $< -o $@
Index: protocols/msn/Makefile
===================================================================
--- protocols/msn/Makefile	(revision 23445b601770e612be584294ad066ad45952542f)
+++ protocols/msn/Makefile	(revision 7fa5c192c40cedb4111f0cfd3aaad9126861588b)
@@ -8,6 +8,6 @@
 
 -include ../../Makefile.settings
-ifdef SRCDIR
-SRCDIR := $(SRCDIR)protocols/msn/
+ifdef _SRCDIR_
+_SRCDIR_ := $(_SRCDIR_)protocols/msn/
 endif
 
@@ -36,5 +36,5 @@
 $(objects): ../../Makefile.settings Makefile
 
-$(objects): %.o: $(SRCDIR)%.c
+$(objects): %.o: $(_SRCDIR_)%.c
 	@echo '*' Compiling $<
 	@$(CC) -c $(CFLAGS) $< -o $@
Index: protocols/oscar/Makefile
===================================================================
--- protocols/oscar/Makefile	(revision 23445b601770e612be584294ad066ad45952542f)
+++ protocols/oscar/Makefile	(revision 7fa5c192c40cedb4111f0cfd3aaad9126861588b)
@@ -8,7 +8,7 @@
 
 -include ../../Makefile.settings
-ifdef SRCDIR
-SRCDIR := $(SRCDIR)protocols/oscar/
-CFLAGS += -I$(SRCDIR)
+ifdef _SRCDIR_
+_SRCDIR_ := $(_SRCDIR_)protocols/oscar/
+CFLAGS += -I$(_SRCDIR_)
 endif
 
@@ -37,5 +37,5 @@
 $(objects): ../../Makefile.settings Makefile
 
-$(objects): %.o: $(SRCDIR)%.c
+$(objects): %.o: $(_SRCDIR_)%.c
 	@echo '*' Compiling $<
 	@$(CC) -c $(CFLAGS) $< -o $@
Index: protocols/purple/Makefile
===================================================================
--- protocols/purple/Makefile	(revision 23445b601770e612be584294ad066ad45952542f)
+++ protocols/purple/Makefile	(revision 7fa5c192c40cedb4111f0cfd3aaad9126861588b)
@@ -8,6 +8,6 @@
 
 -include ../../Makefile.settings
-ifdef SRCDIR
-SRCDIR := $(SRCDIR)protocols/purple/
+ifdef _SRCDIR_
+_SRCDIR_ := $(_SRCDIR_)protocols/purple/
 endif
 
@@ -37,5 +37,5 @@
 $(objects): ../../Makefile.settings Makefile
 
-$(objects): %.o: $(SRCDIR)%.c
+$(objects): %.o: $(_SRCDIR_)%.c
 	@echo '*' Compiling $<
 	@$(CC) -c $(CFLAGS) $< -o $@
Index: protocols/skype/Makefile
===================================================================
--- protocols/skype/Makefile	(revision 23445b601770e612be584294ad066ad45952542f)
+++ protocols/skype/Makefile	(revision 7fa5c192c40cedb4111f0cfd3aaad9126861588b)
@@ -1,5 +1,5 @@
 -include ../../Makefile.settings
-ifdef SRCDIR
-SRCDIR := $(SRCDIR)protocols/skype/
+ifdef _SRCDIR_
+_SRCDIR_ := $(_SRCDIR_)protocols/skype/
 endif
 
@@ -25,7 +25,7 @@
 all: $(LIBS) $(MANPAGES)
 
-skype.$(SHARED_EXT): $(SRCDIR)skype.c config.mak
+skype.$(SHARED_EXT): $(_SRCDIR_)skype.c config.mak
 ifeq ($(BITLBEE),yes)
-	$(CC) $(CFLAGS) $(SHARED_FLAGS) -o skype.$(SHARED_EXT) $(SRCDIR)skype.c $(LDFLAGS)
+	$(CC) $(CFLAGS) $(SHARED_FLAGS) -o skype.$(SHARED_EXT) $(_SRCDIR_)skype.c $(LDFLAGS)
 endif
 
@@ -45,5 +45,5 @@
 endif
 
-client: $(SRCDIR)client.c
+client: $(_SRCDIR_)client.c
 
 autogen: configure.ac
@@ -103,5 +103,5 @@
 	git shortlog -s -n |sed 's/.*\t//'> AUTHORS
 
-%.1: $(SRCDIR)%.txt $(SRCDIR)asciidoc.conf
-	a2x --asciidoc-opts="-f $(SRCDIR)asciidoc.conf" \
+%.1: $(_SRCDIR_)%.txt $(_SRCDIR_)asciidoc.conf
+	a2x --asciidoc-opts="-f $(_SRCDIR_)asciidoc.conf" \
 		-a bs_version=$(VERSION) -a bs_date=$(DATE) -f manpage -D . $<
Index: protocols/twitter/Makefile
===================================================================
--- protocols/twitter/Makefile	(revision 23445b601770e612be584294ad066ad45952542f)
+++ protocols/twitter/Makefile	(revision 7fa5c192c40cedb4111f0cfd3aaad9126861588b)
@@ -8,6 +8,6 @@
 
 -include ../../Makefile.settings
-ifdef SRCDIR
-SRCDIR := $(SRCDIR)protocols/twitter/
+ifdef _SRCDIR_
+_SRCDIR_ := $(_SRCDIR_)protocols/twitter/
 endif
 
@@ -36,5 +36,5 @@
 $(objects): ../../Makefile.settings Makefile
 
-$(objects): %.o: $(SRCDIR)%.c
+$(objects): %.o: $(_SRCDIR_)%.c
 	@echo '*' Compiling $<
 	@$(CC) -c $(CFLAGS) $< -o $@
Index: protocols/yahoo/Makefile
===================================================================
--- protocols/yahoo/Makefile	(revision 23445b601770e612be584294ad066ad45952542f)
+++ protocols/yahoo/Makefile	(revision 7fa5c192c40cedb4111f0cfd3aaad9126861588b)
@@ -8,6 +8,6 @@
 
 -include ../../Makefile.settings
-ifdef SRCDIR
-SRCDIR := $(SRCDIR)protocols/yahoo/
+ifdef _SRCDIR_
+_SRCDIR_ := $(_SRCDIR_)protocols/yahoo/
 endif
 
@@ -37,5 +37,5 @@
 $(objects): ../../Makefile.settings Makefile
 
-$(objects): %.o: $(SRCDIR)%.c
+$(objects): %.o: $(_SRCDIR_)%.c
 	@echo '*' Compiling $<
 	@$(CC) -c $(CFLAGS) $< -o $@
Index: tests/Makefile
===================================================================
--- tests/Makefile	(revision 23445b601770e612be584294ad066ad45952542f)
+++ tests/Makefile	(revision 7fa5c192c40cedb4111f0cfd3aaad9126861588b)
@@ -1,5 +1,5 @@
 -include ../Makefile.settings
-ifdef SRCDIR
-SRCDIR := $(SRCDIR)tests/
+ifdef _SRCDIR_
+_SRCDIR_ := $(_SRCDIR_)tests/
 endif
 
@@ -22,5 +22,5 @@
 	@$(CC) $(CFLAGS) -o $@ $^ $(LFLAGS) $(EFLAGS)
 
-%.o: $(SRCDIR)%.c
+%.o: $(_SRCDIR_)%.c
 	@echo '*' Compiling $<
 	@$(CC) -c $(CFLAGS) $< -o $@
